﻿@{
    ViewData["Title"] = "Danh mục sản phẩm";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

<h1>Danh mục sản phẩm</h1>

<table id="categories" class="table table-bordered">
    <thead>
        <tr>
            <th>#</th>
            <th>Mã danh mục</th>
            <th>Tên danh mục</th>
            <th>Diễn giải</th>
            <th>#</th>
        </tr>
    </thead>
    <tbody>
        
    </tbody>
</table>

<script src="~/js/Services/CateforyService.js"></script>
<script>
    GetListCategory().then(rs => {
        if (rs.statusCode === "000000"){
            let index = 1;
            rs.data.forEach(e => {
                $("#categories tbody").append(`
                    <tr>
                        <td>${index}</td>
                        <td>${e.categoryId}</td>
                        <td>${e.name}</td>
                        <td>${e.description}</td>
                        <td></td>
                    </tr>
                `)
                index++;
            })
        }
    }).catch(er => {
        console.log(er)
    })
</script>

